/*******************************************************************************
* Copyright(c) 2022 dongke All rights reserved. / Confidential
* 类的信息：
*		1.程序名称：
*		2.功能描述：gridview 图片布局 例如购物车商品列表
* 编辑履历：
*		作者				日期					版本			修改内容
*		admin		  2022-05-03	  1.00		   	gridview 图片布局
*******************************************************************************/

Component({
  /**
   * 组件的对外属性
   */
  properties: {
    goodsList: {
      type: Array,
      value: []
    }
  },

  data: { 
  },

  /**
   * 组件的方法列表
   */
  methods: {
    /** 跳转明细页 */
    toGoodsDetail(e) {
      let item = e.currentTarget.dataset.item
      let index = e.currentTarget.dataset.index
      this.triggerEvent('toGoodsDetail', {
        item: item,
        index: index
      })
    },
  }, 
})